import express from 'express';
import path from 'path';
import { removeLeadingDot } from 'react-cosmos-core';
export function serveStaticDir(app, staticPath, publicUrl) {
    const relStaticPath = path.relative(process.cwd(), staticPath);
    console.log(`[Cosmos] Serving static files from ${relStaticPath}`);
    app.use(removeLeadingDot(publicUrl), express.static(staticPath, {
        // Ensure Playground index loads instead an index.html found in the
        // static path
        index: false,
    }));
}
